
Redmine - Defect #9762

Closing issues with commit should be cross project

2011-12-09 10:34 - Daniel Dehennin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.2

Description

Test Case:

1. Open an issue in project1, number <issue>

2. Make a commit with (Fixes: #<issue>) in project2

3. Go to project2->repository to update issue tracking (should be a hook ;-))

4. Figure that the issue is for project2 and not project1

5. Move issue to project2

6. Got to project2->repository to update issue tracking (should be a hook ;-))

7. Issue is not marked as resolved by the commit

As issue number is unique across redmine database, I think the issue should be marked as resolved.

Maybe with a warning for wrong project assignement of the issue.

Regards.

Related issues:

Related to Redmine - Defect #8291: Issued refed/closed by repository commit m... Closed 2011-05-04

History

#1 - 2011-12-10 10:23 - Terence Mill

Why don't you add project2 amd project 1 below parent project and manage issue in parent. The it shall work out of the if version sharing is activated

box. YOu could also add project 1 below project 2 or try to enable version sharing across als projects. Just an idea.

#2 - 2011-12-13 08:49 - Daniel Dehennin

Terence Mill wrote:

Why don't you add project2 amd project 1 below parent project and manage issue in parent.

 They both have the same parent, but issues are dispatched between projects to be managed by project teams.

The it shall work out of the if version sharing is activated box. YOu could also add project 1 below project 2 or try to enable version sharing

across als projects. Just an idea.

 Thanks, I'll look at version sharing if it can solve our issue (which is triggered quite often unfortunately).

#3 - 2011-12-13 09:48 - Daniel Dehennin

Ok, assigning a shared version (across all projects) is not the solution for the test case I described.

After step 5, 6 and 7, the issue is not marked as closed.

Regards.

#4 - 2011-12-15 11:57 - Daniel Dehennin

I found a reference not really similar #8291.

Regards.

#5 - 2011-12-16 14:35 - Daniel Dehennin
https://www.redmine.org/issues/8291


The cross-project issue handling could be a good thing with multiple fixes, if one commit fix 2 or more issues.

Regards.

#6 - 2011-12-22 16:18 - Mischa The Evil

It already works cross-project. See r3357 for issue #4674, which was included first in Redmine 0.9.2.

#7 - 2012-01-04 09:21 - Daniel Dehennin

Mischa The Evil wrote:

It already works cross-project. See r3357 for issue #4674, which was included first in Redmine 0.9.2.

 It works genealogically, between a parent and a child.

But not between "brothers", nor "cousins".

Regards.

#8 - 2012-01-13 13:42 - Slawomir CALUCH

I am also experiencing problems with this issue.

We have a main project for our framework. This framework has multiple sub projects.

We have a main project with multiple sub projects.

These sub projects use a few modules from our framework,

When issues are added in the main projects sometimes they are partially fixed with modifications to the framework and closed with another fix in the

project or the other way round. They basically are cross project.

Now we open a second issue in the framework linked to the first issue where the framework team (me) can handle the changes reference commits

and add info for future references.

In the future we want to keep the framework accessible only to our core team... but we'd like to be able to close for example 5 or 6 issues at the same

time if they have been reported in 4 sub projects for example. Each subproject being managed by a different person/team we won't necessarily want

to peek into the framework or across projects (NDAs and other constraints).

The ideal would be to be able to reference issues from other projects in our commits and display this reference even if the link to this commit leads to

a denied access. At least we would have a good way to follow all commits that have contributed to one issue even from other teams.

#9 - 2013-01-25 15:44 - Daniel Dehennin

- Status changed from New to Resolved

It works, at least since redmine 1.4.4.

Pushing a commit in a project fixing bug of another project works, the issue message has the form:

Applied by commit <PROJECT>:commit:<COMMIT ID>

 I'm closing this issue.

Thanks.

#10 - 2013-01-25 17:01 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
